# openstack.block_storage.v3.capabilities

## The Capabilities Class

The `Capabilities` class inherits from `Resource`.

class openstack.block_storage.v3.capabilities.Capabilities(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/capabilities'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  description

    Properties The capabilities description

  display_name

    The name of volume backend capabilities.

  driver_version

    The driver version.

  namespace

    The storage namespace, such as OS::Storage::Capabilities::foo.

  pool_name

    The name of the storage pool.

  properties

    The backend volume capabilites list, which consists of cinder standard capabilities and vendor unique properties.

  replication_targets

    A list of volume backends used to replicate volumes on this backend.

  storage_protocol

    The storage backend for the backend volume.

  vendor_name

    The name of the vendor.

  visibility

    The volume type access.

  volume_backend_name

    The name of the back-end volume.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.